Package gov.nasa.gsfc.sscweb.schema

# Class ResultOptions

java.lang.Object
gov.nasa.gsfc.sscweb.schema.ResultOptions

public class ResultOptions extends Object
Query result options. <p>Java class for ResultOptions complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="ResultOptions"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="IncludeQueryInResult" type="{http://www.w3.org/2001/XMLSchema}boolean"/> <element name="QueryResultType" type="{http://sscweb.gsfc.nasa.gov/schema}QueryResultType"/> <element name="FormatOptions" type="{http://sscweb.gsfc.nasa.gov/schema}FormatOptions" minOccurs="0"/> <element name="TraceCoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}TraceCoordinateSystem"/> <element name="SubSatelliteCoordinateSystem" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateSystem"/> <element name="SubSatelliteCoordinateSystemType" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateSystemType"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected FormatOptions`
  `formatOptions`
  Format options.
  `protected boolean`
  `includeQueryInResult`
  Indicates whether to include a copy of the query in the results.
  `protected QueryResultType`
  `queryResultType`
  Result representation.
  `protected CoordinateSystem`
  `subSatelliteCoordinateSystem`
  Sub-satellite coordinate system.
  `protected CoordinateSystemType`
  `subSatelliteCoordinateSystemType`
  Sub-satellite coordinate system type.
  `protected TraceCoordinateSystem`
  `traceCoordinateSystem`
  Trace coordinate system.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResultOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FormatOptions`
  `getFormatOptions()`
  Format options.
  `QueryResultType`
  `getQueryResultType()`
  Result representation.
  `CoordinateSystem`
  `getSubSatelliteCoordinateSystem()`
  Sub-satellite coordinate system.
  `CoordinateSystemType`
  `getSubSatelliteCoordinateSystemType()`
  Sub-satellite coordinate system type.
  `TraceCoordinateSystem`
  `getTraceCoordinateSystem()`
  Trace coordinate system.
  `boolean`
  `isIncludeQueryInResult()`
  Indicates whether to include a copy of the query in the results.
  `void`
  `setFormatOptions(FormatOptions value)`
  Sets the value of the formatOptions property.
  `void`
  `setIncludeQueryInResult(boolean value)`
  Sets the value of the includeQueryInResult property.
  `void`
  `setQueryResultType(QueryResultType value)`
  Sets the value of the queryResultType property.
  `void`
  `setSubSatelliteCoordinateSystem(CoordinateSystem value)`
  Sets the value of the subSatelliteCoordinateSystem property.
  `void`
  `setSubSatelliteCoordinateSystemType(CoordinateSystemType value)`
  Sets the value of the subSatelliteCoordinateSystemType property.
  `void`
  `setTraceCoordinateSystem(TraceCoordinateSystem value)`
  Sets the value of the traceCoordinateSystem property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### includeQueryInResult

    protected boolean includeQueryInResult
    Indicates whether to include a copy of the query in the results.

  - ### queryResultType

    protected QueryResultType queryResultType
    Result representation.

  - ### formatOptions

    protected FormatOptions formatOptions
    Format options. Only applicable when QueryResultType is Listing.

  - ### traceCoordinateSystem

    protected TraceCoordinateSystem traceCoordinateSystem
    Trace coordinate system.

  - ### subSatelliteCoordinateSystem

    protected CoordinateSystem subSatelliteCoordinateSystem
    Sub-satellite coordinate system.

  - ### subSatelliteCoordinateSystemType

    protected CoordinateSystemType subSatelliteCoordinateSystemType
    Sub-satellite coordinate system type.

- ## Constructor Details

  - ### ResultOptions

    public ResultOptions()

- ## Method Details

  - ### isIncludeQueryInResult

    public boolean isIncludeQueryInResult()
    Indicates whether to include a copy of the query in the results.

  - ### setIncludeQueryInResult

    public void setIncludeQueryInResult(boolean value)
    Sets the value of the includeQueryInResult property.

  - ### getQueryResultType

    public QueryResultType getQueryResultType()
    Result representation.
    Returns:
      possible object is `QueryResultType`

  - ### setQueryResultType

    public void setQueryResultType(QueryResultType value)
    Sets the value of the queryResultType property.
    Parameters:
      `value` - allowed object is `QueryResultType`
    See Also:
      - `getQueryResultType()`

  - ### getFormatOptions

    public FormatOptions getFormatOptions()
    Format options. Only applicable when QueryResultType is Listing.
    Returns:
      possible object is `FormatOptions`

  - ### setFormatOptions

    public void setFormatOptions(FormatOptions value)
    Sets the value of the formatOptions property.
    Parameters:
      `value` - allowed object is `FormatOptions`
    See Also:
      - `getFormatOptions()`

  - ### getTraceCoordinateSystem

    public TraceCoordinateSystem getTraceCoordinateSystem()
    Trace coordinate system.
    Returns:
      possible object is `TraceCoordinateSystem`

  - ### setTraceCoordinateSystem

    public void setTraceCoordinateSystem(TraceCoordinateSystem value)
    Sets the value of the traceCoordinateSystem property.
    Parameters:
      `value` - allowed object is `TraceCoordinateSystem`
    See Also:
      - `getTraceCoordinateSystem()`

  - ### getSubSatelliteCoordinateSystem

    public CoordinateSystem getSubSatelliteCoordinateSystem()
    Sub-satellite coordinate system.
    Returns:
      possible object is `CoordinateSystem`

  - ### setSubSatelliteCoordinateSystem

    public void setSubSatelliteCoordinateSystem(CoordinateSystem value)
    Sets the value of the subSatelliteCoordinateSystem property.
    Parameters:
      `value` - allowed object is `CoordinateSystem`
    See Also:
      - `getSubSatelliteCoordinateSystem()`

  - ### getSubSatelliteCoordinateSystemType

    public CoordinateSystemType getSubSatelliteCoordinateSystemType()
    Sub-satellite coordinate system type.
    Returns:
      possible object is `CoordinateSystemType`

  - ### setSubSatelliteCoordinateSystemType

    public void setSubSatelliteCoordinateSystemType(CoordinateSystemType value)
    Sets the value of the subSatelliteCoordinateSystemType property.
    Parameters:
      `value` - allowed object is `CoordinateSystemType`
    See Also:
      - `getSubSatelliteCoordinateSystemType()`